List leak reports
Lists the leak reports generated for your organization, page by page. Each report brings together the credentials leaked in a given period.
GET/v1/leaksGETList leak reportscurl -X GET "https://api.darkradar.com/api/public/v1/leaks" \ -H "x-api-key: $DARKRADAR_API_KEY"
Response
{
"success": true,
"message": "OK",
"data": {
"reports": [
{
"stats": {
"severities": {
"critical": 0,
"high": 0,
"medium": 0,
"low": 0,
"unknown": 0
},
"leakTypes": {
"domain": 0,
"email": 0,
"username": 0,
"ip": 0,
"hwid": 0,
"application": 0
},
"actionTracking": {
"total": 0,
"acknowledged": 0,
"resolved": 0,
"alerted": 0,
"noAction": 0
},
"totalEvents": 0,
"totalCredentials": 0,
"uniqueCredentials": 0,
"totalMachines": 0,
"uniqueMachines": 0,
"totalRelations": 0,
"uniqueRelations": 0,
"employees": 0,
"customers": 0,
"uniqueEmployees": 0,
"uniqueCustomers": 0
},
"reportData": null,
"eventTimeline": null,
"protectionResourceBreakdown": null,
"credentialsData": null,
"passwordData": null,
"stealerData": null,
"antivirusData": null,
"_id": "64b1f0c2a9e4d21f8c3b9003",
"firm": "64b1f0c2a9e4d21f8c3b9004",
"metadata": {},
"createdAt": "2026-09-18T12:51:32.944Z",
"endDate": "2026-09-18T14:54:04.834Z",
"protectionResourceGroupId": null,
"startDate": "2026-08-19T14:54:04.834Z",
"status": "completed",
"updatedAt": "2026-09-18T14:54:04.834Z"
}
]
},
"pagination": {
"page": 1,
"limit": 1,
"total": 1,
"totalPages": 1
}
}Query parameters
| Fields | Values |
|---|---|
page · integer · optional | Page number for pagination · Example: 1 |
limit · integer · optional | Number of results per page · Example: 50 |
status · string · optional | Filter by report status · Example: completed |
sortBy · string · optional | Sort field · Example: createdAt |
Responses
200Success400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Page sizelimit · default 50 · max 100
Rate limit500 requests per 15 min · per IP